WordPlate
=========

![wordplate](https://cloud.githubusercontent.com/assets/499192/9743256/a84e145c-5665-11e5-9ed1-235c0b395459.png)

A modern [WordPress](https://github.com/WordPress/WordPress) stack following the [don't repeat yourself](http://en.wikipedia.org/wiki/Don't_repeat_yourself) principle.

[![Build Status](https://img.shields.io/travis/wordplate/framework/master.svg?style=flat)](https://travis-ci.org/wordplate/framework)
[![Coverage Status](https://img.shields.io/scrutinizer/coverage/g/wordplate/framework.svg?style=flat)](https://scrutinizer-ci.com/g/wordplate/framework/code-structure)
[![Quality Score](https://img.shields.io/scrutinizer/g/wordplate/framework.svg?style=flat)](https://scrutinizer-ci.com/g/wordplate/framework)
[![Latest Version](https://img.shields.io/github/release/wordplate/wordplate.svg?style=flat)](https://github.com/wordplate/wordplate/releases)
[![License](https://img.shields.io/packagist/l/wordplate/wordplate.svg?style=flat)](https://packagist.org/packages/wordplate/wordplate)

## What is WordPlate?

WordPlate is a [WordPress](https://github.com/WordPress/WordPress) boilerplate. This project tries to simplify the way we're setting up new WordPress projects. Using the latest standards from PHP, WordPlate utilizes WordPress as its dependency through [Composer](https://getcomposer.org/). We follow the [don't repeat yourself](http://en.wikipedia.org/wiki/Don't_repeat_yourself) workflow.

## Installation

Install WordPlate by issuing the Composer `create-project` command in your terminal:

```bash
composer create-project wordplate/wordplate
```

Read more about setting up WordPlate on our [installation documentation](https://github.com/wordplate/wordplate/wiki/installation) page.

## Documentation

WordPlate features an extensive [wiki documentation](https://github.com/wordplate/wordplate/wiki) to help you getting started. [Take me to the docs!](https://github.com/wordplate/wordplate/wiki)

## Contributing

Please review our [contribution guidelines](https://github.com/wordplate/framework/blob/master/CONTRIBUTING.md) before submitting a pull request.

## License

WordPlate is licensed under [The MIT License (MIT)](LICENSE).
